Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.util.properties
Class PropertyUtil

public class PropertyUtil

Author:
  TogetherSoft

Method Summary
`static String` | `ascii2esc(String val)` Translates ASCII chars to escaped sequences
`static String` | `dotSubstring(String s, int start, int end)`
`static String` | `dotSubstring(String s, int start)`
`static String` | `esc2ascii(String val)` Translates all escaped sequences to ASCII chars
`static String` | `fromLangBoolean(Boolean value, String currentValue, String defaultValue)`
`static boolean` | `getBoolean(String value, boolean defaultValue)`
`static int` | `getInt(String value, int defaultValue)`
`static Boolean` | `getLangBoolean(String value, Boolean defaultValue)`
`static int` | `wordCount(String str)`
`static int` | `wordStartIndex(String s, int n)`

Method Detail

### ascii2esc

    public static String ascii2esc(String val)

  Translates ASCII chars to escaped sequences

### dotSubstring

    public static String dotSubstring(String s, int start, int end)

### dotSubstring

    public static String dotSubstring(String s, int start)

### esc2ascii

    public static String esc2ascii(String val)

  Translates all escaped sequences to ASCII chars

### fromLangBoolean

    public static String fromLangBoolean(Boolean value, String currentValue, String defaultValue)

### getBoolean

    public static boolean getBoolean(String value, boolean defaultValue)

### getInt

    public static int getInt(String value, int defaultValue)

### getLangBoolean

    public static Boolean getLangBoolean(String value, Boolean defaultValue)

### wordCount

    public static int wordCount(String str)

### wordStartIndex

    public static int wordStartIndex(String s, int n)

Association Links

to Class java.lang.String

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD